# top.xdc

#SMA
set_property PACKAGE_PIN AN31 [get_ports USER_SMA_GPIO_P]
set_property IOSTANDARD LVCMOS18 [get_ports USER_SMA_GPIO_P]
set_property PACKAGE_PIN AP31 [get_ports USER_SMA_GPIO_N]
set_property IOSTANDARD LVCMOS18 [get_ports USER_SMA_GPIO_N]

#set_property PACKAGE_PIN AP3 [get_ports SMA_MGT_TX_N]
#set_property PACKAGE_PIN AP4 [get_ports SMA_MGT_TX_P]
#set_property IOSTANDARD LVCMOS18 [get_ports SMA_MGT_TX_N]
#set_property IOSTANDARD LVCMOS18 [get_ports SMA_MGT_TX_P]

set_property PACKAGE_PIN AJ32 [get_ports USER_SMA_CLOCK_P]
set_property PACKAGE_PIN AK32 [get_ports USER_SMA_CLOCK_N]
set_property IOSTANDARD LVCMOS18 [get_ports USER_SMA_CLOCK_P]
set_property IOSTANDARD LVCMOS18 [get_ports USER_SMA_CLOCK_N]


# UART
# Silicon Labs on the CP2103GM
set_property PACKAGE_PIN AU36 [get_ports USB_UART_RX ]
set_property PACKAGE_PIN AT32 [get_ports USB_UART_RTS ]
set_property PACKAGE_PIN AU33 [get_ports USB_UART_TX ]
set_property PACKAGE_PIN AR34 [get_ports USB_UART_CTS ]
set_property IOSTANDARD LVCMOS18 [get_ports USB_UART_RX]
set_property IOSTANDARD LVCMOS18 [get_ports USB_UART_RTS]
set_property IOSTANDARD LVCMOS18 [get_ports USB_UART_TX]
set_property IOSTANDARD LVCMOS18 [get_ports USB_UART_CTS]

# LEDS

set_property PACKAGE_PIN AM39 [get_ports {leds[0]}]
set_property PACKAGE_PIN AN39 [get_ports {leds[1]}]
set_property PACKAGE_PIN AR37 [get_ports {leds[2]}]
set_property PACKAGE_PIN AT37 [get_ports {leds[3]}]
set_property PACKAGE_PIN AR35 [get_ports {leds[4]}]
set_property PACKAGE_PIN AP41 [get_ports {leds[5]}]
set_property PACKAGE_PIN AP42 [get_ports {leds[6]}]
set_property PACKAGE_PIN AU39 [get_ports {leds[7]}]
set_property IOSTANDARD LVCMOS18 [get_ports {leds[*]}]


set_property PACKAGE_PIN E19 [get_ports CLK_sys_clk_p]
set_property PACKAGE_PIN E18 [get_ports CLK_sys_clk_n]
set_property IOSTANDARD DIFF_SSTL15 [get_ports CLK_sys_clk_*]

# LCD
set_property PACKAGE_PIN AN41 [get_ports LCD_RS_LS]
set_property IOSTANDARD LVCMOS18 [get_ports LCD_RS_LS]
set_property PACKAGE_PIN AT40 [get_ports LCD_E_LS]
set_property IOSTANDARD LVCMOS18 [get_ports LCD_E_LS]
set_property PACKAGE_PIN AR42 [get_ports LCD_RW_LS]
set_property IOSTANDARD LVCMOS18 [get_ports LCD_RW_LS]
set_property PACKAGE_PIN AT42 [get_ports LCD_DB4_LS]
set_property IOSTANDARD LVCMOS18 [get_ports LCD_DB4_LS]
set_property PACKAGE_PIN AR38 [get_ports LCD_DB5_LS]
set_property IOSTANDARD LVCMOS18 [get_ports LCD_DB5_LS]
set_property PACKAGE_PIN AR39 [get_ports LCD_DB6_LS]
set_property IOSTANDARD LVCMOS18 [get_ports LCD_DB6_LS]
set_property PACKAGE_PIN AN40 [get_ports LCD_DB7_LS]
set_property IOSTANDARD LVCMOS18 [get_ports LCD_DB7_LS]


# PUSH BUTTONS
set_property PACKAGE_PIN AV40 [get_ports CPU_RESET]
set_property IOSTANDARD LVCMOS18 [get_ports CPU_RESET]

set_property PACKAGE_PIN AP40 [get_ports GPIO_SW_S]
set_property PACKAGE_PIN AR40 [get_ports GPIO_SW_N]
set_property PACKAGE_PIN AV39 [get_ports GPIO_SW_C]
set_property PACKAGE_PIN AU38 [get_ports GPIO_SW_E]
set_property PACKAGE_PIN AW40 [get_ports GPIO_SW_W]

set_property IOSTANDARD LVCMOS18 [get_ports GPIO_SW_*]

set_property CFGBVS GND [current_design]
set_property CONFIG_VOLTAGE 1.8 [current_design]


# create_clock –name DJG_MASTER_CLOCK2  -period 5 -waveform {0.0 2.5} [get_ports CLK_sys_clk_p]
#create_clock –name DJG_MASTER_CLOCK1  -period 5 -waveform {0.0 2.5} [get_pins sys_clk_out]

# set_property CLOCK_DEDICATED_ROUTE FALSE [get_nets GPIO_SW_W_IBUF] 
# eof
